Loading...
Searching...
No Matches
DRTSourceSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTSourceSequence::Item:

## Public Member Functions

| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getActiveSourceDiameter (OFString &value, const signed long pos=0) const
| get ActiveSourceDiameter (300a,0218)
OFCondition | getActiveSourceDiameter (Float64 &value, const unsigned long pos=0) const
| get ActiveSourceDiameter (300a,0218)
OFCondition | getActiveSourceLength (OFString &value, const signed long pos=0) const
| get ActiveSourceLength (300a,021a)
OFCondition | getActiveSourceLength (Float64 &value, const unsigned long pos=0) const
| get ActiveSourceLength (300a,021a)
OFCondition | getMaterialID (OFString &value, const signed long pos=0) const
| get MaterialID (300a,00e1)
OFCondition | getReferenceAirKermaRate (OFString &value, const signed long pos=0) const
| get ReferenceAirKermaRate (300a,022a)
OFCondition | getReferenceAirKermaRate (Float64 &value, const unsigned long pos=0) const
| get ReferenceAirKermaRate (300a,022a)
OFCondition | getSourceDescription (OFString &value, const signed long pos=0) const
| get SourceDescription (300a,021c)
OFCondition | getSourceEncapsulationNominalThickness (OFString &value, const signed long pos=0) const
| get SourceEncapsulationNominalThickness (300a,0222)
OFCondition | getSourceEncapsulationNominalThickness (Float64 &value, const unsigned long pos=0) const
| get SourceEncapsulationNominalThickness (300a,0222)
OFCondition | getSourceEncapsulationNominalTransmission (OFString &value, const signed long pos=0) const
| get SourceEncapsulationNominalTransmission (300a,0224)
OFCondition | getSourceEncapsulationNominalTransmission (Float64 &value, const unsigned long pos=0) const
| get SourceEncapsulationNominalTransmission (300a,0224)
OFCondition | getSourceIsotopeHalfLife (OFString &value, const signed long pos=0) const
| get SourceIsotopeHalfLife (300a,0228)
OFCondition | getSourceIsotopeHalfLife (Float64 &value, const unsigned long pos=0) const
| get SourceIsotopeHalfLife (300a,0228)
OFCondition | getSourceIsotopeName (OFString &value, const signed long pos=0) const
| get SourceIsotopeName (300a,0226)
OFCondition | getSourceManufacturer (OFString &value, const signed long pos=0) const
| get SourceManufacturer (300a,0216)
OFCondition | getSourceModelID (OFString &value, const signed long pos=0) const
| get SourceModelID (300a,021b)
OFCondition | getSourceNumber (OFString &value, const signed long pos=0) const
| get SourceNumber (300a,0212)
OFCondition | getSourceNumber (Sint32 &value, const unsigned long pos=0) const
| get SourceNumber (300a,0212)
OFCondition | getSourceSerialNumber (OFString &value, const signed long pos=0) const
| get SourceSerialNumber (3008,0105)
OFCondition | getSourceStrength (OFString &value, const signed long pos=0) const
| get SourceStrength (300a,022b)
OFCondition | getSourceStrength (Float64 &value, const unsigned long pos=0) const
| get SourceStrength (300a,022b)
OFCondition | getSourceStrengthReferenceDate (OFString &value, const signed long pos=0) const
| get SourceStrengthReferenceDate (300a,022c)
OFCondition | getSourceStrengthReferenceTime (OFString &value, const signed long pos=0) const
| get SourceStrengthReferenceTime (300a,022e)
OFCondition | getSourceStrengthUnits (OFString &value, const signed long pos=0) const
| get SourceStrengthUnits (300a,0229)
OFCondition | getSourceType (OFString &value, const signed long pos=0) const
| get SourceType (300a,0214)
OFCondition | setActiveSourceDiameter (const OFString &value, const OFBool check=OFTrue)
| set ActiveSourceDiameter (300a,0218)
OFCondition | setActiveSourceLength (const OFString &value, const OFBool check=OFTrue)
| set ActiveSourceLength (300a,021a)
OFCondition | setMaterialID (const OFString &value, const OFBool check=OFTrue)
| set MaterialID (300a,00e1)
OFCondition | setReferenceAirKermaRate (const OFString &value, const OFBool check=OFTrue)
| set ReferenceAirKermaRate (300a,022a)
OFCondition | setSourceDescription (const OFString &value, const OFBool check=OFTrue)
| set SourceDescription (300a,021c)
OFCondition | setSourceEncapsulationNominalThickness (const OFString &value, const OFBool check=OFTrue)
| set SourceEncapsulationNominalThickness (300a,0222)
OFCondition | setSourceEncapsulationNominalTransmission (const OFString &value, const OFBool check=OFTrue)
| set SourceEncapsulationNominalTransmission (300a,0224)
OFCondition | setSourceIsotopeHalfLife (const OFString &value, const OFBool check=OFTrue)
| set SourceIsotopeHalfLife (300a,0228)
OFCondition | setSourceIsotopeName (const OFString &value, const OFBool check=OFTrue)
| set SourceIsotopeName (300a,0226)
OFCondition | setSourceManufacturer (const OFString &value, const OFBool check=OFTrue)
| set SourceManufacturer (300a,0216)
OFCondition | setSourceModelID (const OFString &value, const OFBool check=OFTrue)
| set SourceModelID (300a,021b)
OFCondition | setSourceNumber (const OFString &value, const OFBool check=OFTrue)
| set SourceNumber (300a,0212)
OFCondition | setSourceSerialNumber (const OFString &value, const OFBool check=OFTrue)
| set SourceSerialNumber (3008,0105)
OFCondition | setSourceStrength (const OFString &value, const OFBool check=OFTrue)
| set SourceStrength (300a,022b)
OFCondition | setSourceStrengthReferenceDate (const OFString &value, const OFBool check=OFTrue)
| set SourceStrengthReferenceDate (300a,022c)
OFCondition | setSourceStrengthReferenceTime (const OFString &value, const OFBool check=OFTrue)
| set SourceStrengthReferenceTime (300a,022e)
OFCondition | setSourceStrengthUnits (const OFString &value, const OFBool check=OFTrue)
| set SourceStrengthUnits (300a,0229)
OFCondition | setSourceType (const OFString &value, const OFBool check=OFTrue)
| set SourceType (300a,0214)

## Private Attributes

OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmDecimalString | ActiveSourceDiameter
| ActiveSourceDiameter (300a,0218) vr=DS, vm=1, type=3.
DcmDecimalString | ActiveSourceLength
| ActiveSourceLength (300a,021a) vr=DS, vm=1, type=3.
DcmShortString | MaterialID
| MaterialID (300a,00e1) vr=SH, vm=1, type=3.
DcmDecimalString | ReferenceAirKermaRate
| ReferenceAirKermaRate (300a,022a) vr=DS, vm=1, type=1.
DcmLongString | SourceDescription
| SourceDescription (300a,021c) vr=LO, vm=1, type=3.
DcmDecimalString | SourceEncapsulationNominalThickness
| SourceEncapsulationNominalThickness (300a,0222) vr=DS, vm=1, type=3.
DcmDecimalString | SourceEncapsulationNominalTransmission
| SourceEncapsulationNominalTransmission (300a,0224) vr=DS, vm=1, type=3.
DcmDecimalString | SourceIsotopeHalfLife
| SourceIsotopeHalfLife (300a,0228) vr=DS, vm=1, type=1.
DcmLongString | SourceIsotopeName
| SourceIsotopeName (300a,0226) vr=LO, vm=1, type=1.
DcmLongString | SourceManufacturer
| SourceManufacturer (300a,0216) vr=LO, vm=1, type=3.
DcmShortString | SourceModelID
| SourceModelID (300a,021b) vr=SH, vm=1, type=3.
DcmIntegerString | SourceNumber
| SourceNumber (300a,0212) vr=IS, vm=1, type=1.
DcmLongString | SourceSerialNumber
| SourceSerialNumber (3008,0105) vr=LO, vm=1, type=3.
DcmDecimalString | SourceStrength
| SourceStrength (300a,022b) vr=DS, vm=1, type=1C.
DcmDate | SourceStrengthReferenceDate
| SourceStrengthReferenceDate (300a,022c) vr=DA, vm=1, type=1.
DcmTime | SourceStrengthReferenceTime
| SourceStrengthReferenceTime (300a,022e) vr=TM, vm=1, type=1.
DcmCodeString | SourceStrengthUnits
| SourceStrengthUnits (300a,0229) vr=CS, vm=1, type=1C.
DcmCodeString | SourceType
| SourceType (300a,0214) vr=CS, vm=1, type=1.

## Additional Inherited Members

Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## Item() [1/2]

DRTSourceSequence::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## Item() [2/2]

DRTSourceSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## getActiveSourceDiameter() [1/2]

OFCondition DRTSourceSequence::Item::getActiveSourceDiameter | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get ActiveSourceDiameter (300a,0218)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getActiveSourceDiameter() [2/2]

OFCondition DRTSourceSequence::Item::getActiveSourceDiameter | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ActiveSourceDiameter (300a,0218)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getActiveSourceLength() [1/2]

OFCondition DRTSourceSequence::Item::getActiveSourceLength | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get ActiveSourceLength (300a,021a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getActiveSourceLength() [2/2]

OFCondition DRTSourceSequence::Item::getActiveSourceLength | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ActiveSourceLength (300a,021a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getMaterialID()

OFCondition DRTSourceSequence::Item::getMaterialID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get MaterialID (300a,00e1)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getReferenceAirKermaRate() [1/2]

OFCondition DRTSourceSequence::Item::getReferenceAirKermaRate | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get ReferenceAirKermaRate (300a,022a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getReferenceAirKermaRate() [2/2]

OFCondition DRTSourceSequence::Item::getReferenceAirKermaRate | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ReferenceAirKermaRate (300a,022a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getSourceDescription()

OFCondition DRTSourceSequence::Item::getSourceDescription | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get SourceDescription (300a,021c)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getSourceEncapsulationNominalThickness() [1/2]

OFCondition DRTSourceSequence::Item::getSourceEncapsulationNominalThickness | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get SourceEncapsulationNominalThickness (300a,0222)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getSourceEncapsulationNominalThickness() [2/2]

OFCondition DRTSourceSequence::Item::getSourceEncapsulationNominalThickness | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get SourceEncapsulationNominalThickness (300a,0222)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getSourceEncapsulationNominalTransmission() [1/2]

OFCondition DRTSourceSequence::Item::getSourceEncapsulationNominalTransmission | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get SourceEncapsulationNominalTransmission (300a,0224)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getSourceEncapsulationNominalTransmission() [2/2]

OFCondition DRTSourceSequence::Item::getSourceEncapsulationNominalTransmission | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get SourceEncapsulationNominalTransmission (300a,0224)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getSourceIsotopeHalfLife() [1/2]

OFCondition DRTSourceSequence::Item::getSourceIsotopeHalfLife | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get SourceIsotopeHalfLife (300a,0228)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getSourceIsotopeHalfLife() [2/2]

OFCondition DRTSourceSequence::Item::getSourceIsotopeHalfLife | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get SourceIsotopeHalfLife (300a,0228)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getSourceIsotopeName()

OFCondition DRTSourceSequence::Item::getSourceIsotopeName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get SourceIsotopeName (300a,0226)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getSourceManufacturer()

OFCondition DRTSourceSequence::Item::getSourceManufacturer | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get SourceManufacturer (300a,0216)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getSourceModelID()

OFCondition DRTSourceSequence::Item::getSourceModelID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get SourceModelID (300a,021b)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getSourceNumber() [1/2]

OFCondition DRTSourceSequence::Item::getSourceNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get SourceNumber (300a,0212)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getSourceNumber() [2/2]

OFCondition DRTSourceSequence::Item::getSourceNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get SourceNumber (300a,0212)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getSourceSerialNumber()

OFCondition DRTSourceSequence::Item::getSourceSerialNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get SourceSerialNumber (3008,0105)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getSourceStrength() [1/2]

OFCondition DRTSourceSequence::Item::getSourceStrength | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get SourceStrength (300a,022b)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getSourceStrength() [2/2]

OFCondition DRTSourceSequence::Item::getSourceStrength | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get SourceStrength (300a,022b)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getSourceStrengthReferenceDate()

OFCondition DRTSourceSequence::Item::getSourceStrengthReferenceDate | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get SourceStrengthReferenceDate (300a,022c)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getSourceStrengthReferenceTime()

OFCondition DRTSourceSequence::Item::getSourceStrengthReferenceTime | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get SourceStrengthReferenceTime (300a,022e)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getSourceStrengthUnits()

OFCondition DRTSourceSequence::Item::getSourceStrengthUnits | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get SourceStrengthUnits (300a,0229)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getSourceType()

OFCondition DRTSourceSequence::Item::getSourceType | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get SourceType (300a,0214)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## isEmpty()

OFBool DRTSourceSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## isValid()

OFBool DRTSourceSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## operator=()

Item & DRTSourceSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## read()

OFCondition DRTSourceSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## setActiveSourceDiameter()

OFCondition DRTSourceSequence::Item::setActiveSourceDiameter | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ActiveSourceDiameter (300a,0218)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setActiveSourceLength()

OFCondition DRTSourceSequence::Item::setActiveSourceLength | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ActiveSourceLength (300a,021a)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setMaterialID()

OFCondition DRTSourceSequence::Item::setMaterialID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set MaterialID (300a,00e1)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setReferenceAirKermaRate()

OFCondition DRTSourceSequence::Item::setReferenceAirKermaRate | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ReferenceAirKermaRate (300a,022a)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setSourceDescription()

OFCondition DRTSourceSequence::Item::setSourceDescription | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set SourceDescription (300a,021c)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setSourceEncapsulationNominalThickness()

OFCondition DRTSourceSequence::Item::setSourceEncapsulationNominalThickness | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set SourceEncapsulationNominalThickness (300a,0222)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setSourceEncapsulationNominalTransmission()

OFCondition DRTSourceSequence::Item::setSourceEncapsulationNominalTransmission | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set SourceEncapsulationNominalTransmission (300a,0224)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setSourceIsotopeHalfLife()

OFCondition DRTSourceSequence::Item::setSourceIsotopeHalfLife | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set SourceIsotopeHalfLife (300a,0228)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setSourceIsotopeName()

OFCondition DRTSourceSequence::Item::setSourceIsotopeName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set SourceIsotopeName (300a,0226)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setSourceManufacturer()

OFCondition DRTSourceSequence::Item::setSourceManufacturer | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set SourceManufacturer (300a,0216)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setSourceModelID()

OFCondition DRTSourceSequence::Item::setSourceModelID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set SourceModelID (300a,021b)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setSourceNumber()

OFCondition DRTSourceSequence::Item::setSourceNumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set SourceNumber (300a,0212)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setSourceSerialNumber()

OFCondition DRTSourceSequence::Item::setSourceSerialNumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set SourceSerialNumber (3008,0105)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setSourceStrength()

OFCondition DRTSourceSequence::Item::setSourceStrength | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set SourceStrength (300a,022b)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setSourceStrengthReferenceDate()

OFCondition DRTSourceSequence::Item::setSourceStrengthReferenceDate | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set SourceStrengthReferenceDate (300a,022c)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DA) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setSourceStrengthReferenceTime()

OFCondition DRTSourceSequence::Item::setSourceStrengthReferenceTime | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set SourceStrengthReferenceTime (300a,022e)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (TM) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setSourceStrengthUnits()

OFCondition DRTSourceSequence::Item::setSourceStrengthUnits | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set SourceStrengthUnits (300a,0229)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setSourceType()

OFCondition DRTSourceSequence::Item::setSourceType | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set SourceType (300a,0214)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## write()

OFCondition DRTSourceSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtss.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0